Package uk.ac.starlink.topcat.plot

## Class GraphicsWindow.ReplotListener

- java.lang.Object
- - uk.ac.starlink.topcat.plot.GraphicsWindow.ReplotListener

- All Implemented Interfaces:
    `java.awt.event.ActionListener`, `java.awt.event.ItemListener`, `java.util.EventListener`, `javax.swing.event.ChangeListener`, `javax.swing.event.ListSelectionListener`
  Enclosing class:
    GraphicsWindow

      protected class GraphicsWindow.ReplotListener
      extends java.lang.Object
      implements java.awt.event.ActionListener, java.awt.event.ItemListener, javax.swing.event.ListSelectionListener, javax.swing.event.ChangeListener

  General purpose listener which replots given an event.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ReplotListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `actionPerformed​(java.awt.event.ActionEvent evt)` |
    `void` | `itemStateChanged​(java.awt.event.ItemEvent evt)` |
    `void` | `stateChanged​(javax.swing.event.ChangeEvent evt)` |
    `void` | `valueChanged​(javax.swing.event.ListSelectionEvent evt)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplotListener

          protected ReplotListener()

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed​(java.awt.event.ActionEvent evt)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### itemStateChanged

          public void itemStateChanged​(java.awt.event.ItemEvent evt)

      Specified by:
        `itemStateChanged` in interface `java.awt.event.ItemListener`

    - #### valueChanged

          public void valueChanged​(javax.swing.event.ListSelectionEvent evt)

      Specified by:
        `valueChanged` in interface `javax.swing.event.ListSelectionListener`

    - #### stateChanged

          public void stateChanged​(javax.swing.event.ChangeEvent evt)

      Specified by:
        `stateChanged` in interface `javax.swing.event.ChangeListener`